Web Search API, REST: Wordstat.GetRegionsDistribution

The method returns the distribution of the number of queries containing the given keyword globally by region for the last 30 days.

HTTP request

POST https://searchapi.api.cloud.yandex.net/v2/wordstat/regions
        

Body parameters

{
          "phrase": "string",
          "region": "string",
          "devices": [
            "string"
          ],
          "folderId": "string"
        }
        

Field

Description

phrase

string

Required field. Keyword

The maximum string length in characters is 400.

region

enum (Region)

Show query distribution only by city, only by region, or everywhere.

  • REGION_ALL: Show distribution everywhere.
  • REGION_CITIES: Show distribution by cities.
  • REGION_REGIONS: Show distribution by regions.

devices[]

enum (Device)

A list of device types a query was made from.

  • DEVICE_ALL: All devices.
  • DEVICE_DESKTOP: Desktop computers.
  • DEVICE_PHONE: Phones.
  • DEVICE_TABLET: Tablets.

folderId

string

ID of the folder.

The maximum string length in characters is 50.

Response

HTTP Code: 200 - OK

{
          "results": [
            {
              "region": "string",
              "count": "string",
              "share": "string",
              "affinityIndex": "string"
            }
          ]
        }
        

Field

Description

results[]

RegionInfo

Results.

RegionInfo

Field

Description

region

string

Region ID

count

string (int64)

Number of queries containing the given keyword.

share

string

The share of the number of such queries from the total number of queries to Yandex in the region.

affinityIndex

string

The ratio between the share of the selected queries in the region and their share across the country.